### Name

> XmHTMLXYToInfo - obtain document information at a given location.

### Synopsis

> XmHTMLInfoStructure *XmHTMLXYToInfo(Widget w, int x, int y)

### Description

> XmHTMLXYToInfo returns document information at the specified coordinates. The returned information can include anchor data (if the specified coordinates identify an anchor) and image data (if the specified coordinates identify an image).

> w
>   Specifies the parent widget ID. Must be of class xmHTMLWidgetClass
> x,y
>   Specifies the coordinates, relative to the upper-left corner of the visible area, for which information must be retrieved.

### Structures

    	typedef struct{
    		Cardinal line;            /* line number at selected position       */
    		Boolean is_map;           /* true when clicked image is an imagemap */
    		int x,y;                  /* position relative to image corner      */
    		XmImageInfo *image;       /* image data, if any                     */
    		XmHTMLAnchorPtr anchor;   /* anchor data, if any                    */
    	}XmHTMLInfoStructure, *XmHTMLInfoPtr;

### Return Value

> A pointer to a structure of type XmHTMLInfoStructure. The data within this structure is composed of private widget data, and as such, it may never be freed.

### See Also

> XmHTML(3X), XmImageInfo(3X)

XmHTML, October 7, 1997